# Bitmap Routines

AllegroGL provides a function to set color depth for video bitmaps. More...

## Video Bitmap Rountines

- GLint allegro_gl_set_video_bitmap_color_depth (int bpp)
    Sets the color depth you'd like AllegroGL to use for video bitmaps.

## Detailed Description

AllegroGL provides a function to set color depth for video bitmaps.

## Function Documentation

GLint allegro_gl_set_video_bitmap_color_depth | ( | int | bpp | ) |

Sets the color depth you'd like AllegroGL to use for video bitmaps.

This function lets you create video bitmaps of any color depth using allegro's create_video_bitmap(). You can create a RGBA8 bitmap and take advantage of hardware accelerated blending, no matter what the current color depth is. This call will affect all subsequent calls to create_video_bitmap().

Default value for the video bitmap color depth if the color depth of the screen bitmap. To revert to the default color depth, pass -1.

Parameters:

  | bpp | Color depth in btis per pixel.

Returns:
  The previous value of the video bitmap color depth.

Definition at line 423 of file videovtb.c.